using System;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] ulaz = Console.ReadLine().Split();
            int N = int.Parse(ulaz[0]);
            int K = int.Parse(ulaz[1]);
            string[] ulaz1 = Console.ReadLine().Split();
            int[] P = new int[N];
            int resenje=0;
            for(int i = 0; i < N; i++)
            {
                P[i] = int.Parse(ulaz1[i]);
            }
            for(int i = 0; i < N ; i++)
            {
                if (K == P[i] && i != N - 1)
                {
                    resenje = P[i + 1];
                }
                else
                {
                    resenje = P[0];
                }
            }
            Console.WriteLine(resenje);
        }
    }
}